
ISTI Open Access - Feature #20033

Feature # 11636 (Completed): Make Open Portal OpenAIRE compliant

Reconsider ISTI OpenPortal OAI-PMH responses

Oct 28, 2020 07:36 PM - Leonardo Candela

Status: Completed Start date: Oct 28, 2020

Priority: High Due date:  

Assignee: Michele Artini % Done: 100%

Category:    

Target version: ISTI Open Portal Tasks   

Description

The Identify verb response https://openportal.isti.cnr.it/oai?verb=Identify need to be revised as follows:

repositoryName should be "ISTI Open Portal" rather than "D-NET Service for supporting Open Archive Initiative requests"

baseURL should be the official one "https://openportal.isti.cnr.it/oai" rather than "

http://dnet-openportal.isti.cnr.it/is/mvc/oai/oai.do"

adminEmail should be "openportal@isti.cnr.it"

The ListSets should contain only one set, i.e. the ISTI set, or one set per Lab. It currently contains one set per CNR institute.

History

#1 - Oct 28, 2020 07:38 PM - Leonardo Candela

- Description updated

#2 - Oct 29, 2020 11:09 AM - Michele Artini

- Status changed from New to Completed

I fixed the Identify and ListSets responses. 

#3 - Oct 29, 2020 07:22 PM - Leonardo Candela

- % Done changed from 0 to 100
